<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.8">
  <compound kind="file">
    <name>authors.doc</name>
    <path>doc/local/</path>
    <filename>authors_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>codingrules.doc</name>
    <path>doc/local/</path>
    <filename>codingrules_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>copyright.doc</name>
    <path>doc/local/</path>
    <filename>copyright_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>documentation.doc</name>
    <path>doc/local/</path>
    <filename>documentation_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>features.doc</name>
    <path>doc/local/</path>
    <filename>features_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>help_wanted.doc</name>
    <path>doc/local/</path>
    <filename>help__wanted_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>howto_release.doc</name>
    <path>doc/local/</path>
    <filename>howto__release_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>index.doc</name>
    <path>doc/local/</path>
    <filename>index_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>installation.doc</name>
    <path>doc/local/</path>
    <filename>installation_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>linking.doc</name>
    <path>doc/local/</path>
    <filename>linking_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>test.doc</name>
    <path>doc/local/</path>
    <filename>test_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>users_guide.doc</name>
    <path>doc/local/</path>
    <filename>users__guide_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>verification.doc</name>
    <path>doc/local/</path>
    <filename>verification_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>tutorial.doc</name>
    <path>doc/tutorial/</path>
    <filename>tutorial_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>BasConst.cpp</name>
    <path>simfqt/basic/</path>
    <filename>BasConst_8cpp.html</filename>
    <includes id="BasConst__General_8hpp" name="BasConst_General.hpp" local="no" import="no" module="no" objc="no">simfqt/basic/BasConst_General.hpp</includes>
    <includes id="BasConst__SIMFQT__Service_8hpp" name="BasConst_SIMFQT_Service.hpp" local="no" import="no" module="no" objc="no">simfqt/basic/BasConst_SIMFQT_Service.hpp</includes>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>BasConst_General.hpp</name>
    <path>simfqt/basic/</path>
    <filename>BasConst__General_8hpp.html</filename>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>BasConst_SIMFQT_Service.hpp</name>
    <path>simfqt/basic/</path>
    <filename>BasConst__SIMFQT__Service_8hpp.html</filename>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>simfqt_parseFareRules.cpp</name>
    <path>simfqt/batches/</path>
    <filename>simfqt__parseFareRules_8cpp.html</filename>
    <includes id="SIMFQT__Service_8hpp" name="SIMFQT_Service.hpp" local="no" import="no" module="no" objc="no">simfqt/SIMFQT_Service.hpp</includes>
    <member kind="typedef">
      <type>std::vector&lt; std::string &gt;</type>
      <name>WordList_T</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>a950635e3678f52a96e96d48987d7bbf0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_SIMFQT_DEFAULT_LOG_FILENAME</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>aabf4257a8681c2d03187c08b83af4e77</anchor>
      <arglist>(&quot;simfqt_parseFareRules.log&quot;)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_SIMFQT_DEFAULT_FARE_INPUT_FILENAME</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>a318ed4487163c2cd03e9b44bb0356fbd</anchor>
      <arglist>(STDAIR_SAMPLE_DIR &quot;/fare01.csv&quot;)</arglist>
    </member>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>aaf2944052a36661fbd47b4de13aa56f0</anchor>
      <arglist>(std::ostream &amp;os, const std::vector&lt; T &gt; &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>readConfiguration</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>af36cb3455b6d1699aa391538ac72246b</anchor>
      <arglist>(int argc, char *argv[], bool &amp;ioIsBuiltin, stdair::Filename_T &amp;ioFareInputFilename, std::string &amp;ioLogFilename)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>main</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>a0ddf1224851353fc92bfbff6f499fa97</anchor>
      <arglist>(int argc, char *argv[])</arglist>
    </member>
    <member kind="variable">
      <type>const bool</type>
      <name>K_SIMFQT_DEFAULT_BUILT_IN_INPUT</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>a7ea6ff92f330e2466cb447fcae7da6ba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const int</type>
      <name>K_SIMFQT_EARLY_RETURN_STATUS</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>a2da964dfe91b72853ed7bfa1facf60ae</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>FareRuleStruct.cpp</name>
    <path>simfqt/bom/</path>
    <filename>FareRuleStruct_8cpp.html</filename>
    <includes id="FareRuleStruct_8hpp" name="FareRuleStruct.hpp" local="no" import="no" module="no" objc="no">simfqt/bom/FareRuleStruct.hpp</includes>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>FareRuleStruct.hpp</name>
    <path>simfqt/bom/</path>
    <filename>FareRuleStruct_8hpp.html</filename>
    <includes id="SIMFQT__Types_8hpp" name="SIMFQT_Types.hpp" local="no" import="no" module="no" objc="no">simfqt/SIMFQT_Types.hpp</includes>
    <class kind="struct">SIMFQT::FareRuleStruct</class>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>FareParser.cpp</name>
    <path>simfqt/command/</path>
    <filename>FareParser_8cpp.html</filename>
    <includes id="FareParserHelper_8hpp" name="FareParserHelper.hpp" local="no" import="no" module="no" objc="no">simfqt/command/FareParserHelper.hpp</includes>
    <includes id="FareParser_8hpp" name="FareParser.hpp" local="no" import="no" module="no" objc="no">simfqt/command/FareParser.hpp</includes>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>FareParser.hpp</name>
    <path>simfqt/command/</path>
    <filename>FareParser_8hpp.html</filename>
    <includes id="SIMFQT__Types_8hpp" name="SIMFQT_Types.hpp" local="no" import="no" module="no" objc="no">simfqt/SIMFQT_Types.hpp</includes>
    <class kind="class">SIMFQT::FareParser</class>
    <namespace>stdair</namespace>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>FareParserHelper.cpp</name>
    <path>simfqt/command/</path>
    <filename>FareParserHelper_8cpp.html</filename>
    <includes id="FareParserHelper_8hpp" name="FareParserHelper.hpp" local="no" import="no" module="no" objc="no">simfqt/command/FareParserHelper.hpp</includes>
    <includes id="FareRuleGenerator_8hpp" name="FareRuleGenerator.hpp" local="no" import="no" module="no" objc="no">simfqt/command/FareRuleGenerator.hpp</includes>
    <class kind="struct">SIMFQT::FareParserHelper::FareRuleParser</class>
    <namespace>SIMFQT</namespace>
    <namespace>SIMFQT::FareParserHelper</namespace>
  </compound>
  <compound kind="file">
    <name>FareParserHelper.hpp</name>
    <path>simfqt/command/</path>
    <filename>FareParserHelper_8hpp.html</filename>
    <includes id="SIMFQT__Types_8hpp" name="SIMFQT_Types.hpp" local="no" import="no" module="no" objc="no">simfqt/SIMFQT_Types.hpp</includes>
    <includes id="FareRuleStruct_8hpp" name="FareRuleStruct.hpp" local="no" import="no" module="no" objc="no">simfqt/bom/FareRuleStruct.hpp</includes>
    <class kind="struct">SIMFQT::FareParserHelper::ParserSemanticAction</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeFareId</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeOrigin</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeDestination</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeTripType</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeDateRangeStart</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeDateRangeEnd</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeStartRangeTime</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeEndRangeTime</class>
    <class kind="struct">SIMFQT::FareParserHelper::storePOS</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeCabinCode</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeChannel</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeAdvancePurchase</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeSaturdayStay</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeChangeFees</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeNonRefundable</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeMinimumStay</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeFare</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeAirlineCode</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeClass</class>
    <class kind="struct">SIMFQT::FareParserHelper::doEndFare</class>
    <class kind="class">SIMFQT::FareRuleFileParser</class>
    <namespace>stdair</namespace>
    <namespace>SIMFQT</namespace>
    <namespace>SIMFQT::FareParserHelper</namespace>
  </compound>
  <compound kind="file">
    <name>FareQuoter.cpp</name>
    <path>simfqt/command/</path>
    <filename>FareQuoter_8cpp.html</filename>
    <includes id="SIMFQT__Types_8hpp" name="SIMFQT_Types.hpp" local="no" import="no" module="no" objc="no">simfqt/SIMFQT_Types.hpp</includes>
    <includes id="FareQuoter_8hpp" name="FareQuoter.hpp" local="no" import="no" module="no" objc="no">simfqt/command/FareQuoter.hpp</includes>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>FareQuoter.hpp</name>
    <path>simfqt/command/</path>
    <filename>FareQuoter_8hpp.html</filename>
    <class kind="class">SIMFQT::FareQuoter</class>
    <namespace>stdair</namespace>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>FareRuleGenerator.cpp</name>
    <path>simfqt/command/</path>
    <filename>FareRuleGenerator_8cpp.html</filename>
    <includes id="FareRuleStruct_8hpp" name="FareRuleStruct.hpp" local="no" import="no" module="no" objc="no">simfqt/bom/FareRuleStruct.hpp</includes>
    <includes id="FareRuleGenerator_8hpp" name="FareRuleGenerator.hpp" local="no" import="no" module="no" objc="no">simfqt/command/FareRuleGenerator.hpp</includes>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>FareRuleGenerator.hpp</name>
    <path>simfqt/command/</path>
    <filename>FareRuleGenerator_8hpp.html</filename>
    <includes id="SIMFQT__Types_8hpp" name="SIMFQT_Types.hpp" local="no" import="no" module="no" objc="no">simfqt/SIMFQT_Types.hpp</includes>
    <class kind="class">SIMFQT::FareRuleGenerator</class>
    <namespace>stdair</namespace>
    <namespace>SIMFQT</namespace>
    <namespace>SIMFQT::FareParserHelper</namespace>
  </compound>
  <compound kind="file">
    <name>FacSimfqtServiceContext.cpp</name>
    <path>simfqt/factory/</path>
    <filename>FacSimfqtServiceContext_8cpp.html</filename>
    <includes id="FacSimfqtServiceContext_8hpp" name="FacSimfqtServiceContext.hpp" local="no" import="no" module="no" objc="no">simfqt/factory/FacSimfqtServiceContext.hpp</includes>
    <includes id="SIMFQT__ServiceContext_8hpp" name="SIMFQT_ServiceContext.hpp" local="no" import="no" module="no" objc="no">simfqt/service/SIMFQT_ServiceContext.hpp</includes>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>FacSimfqtServiceContext.hpp</name>
    <path>simfqt/factory/</path>
    <filename>FacSimfqtServiceContext_8hpp.html</filename>
    <class kind="class">SIMFQT::FacSimfqtServiceContext</class>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>SIMFQT_Service.cpp</name>
    <path>simfqt/service/</path>
    <filename>SIMFQT__Service_8cpp.html</filename>
    <includes id="BasConst__SIMFQT__Service_8hpp" name="BasConst_SIMFQT_Service.hpp" local="no" import="no" module="no" objc="no">simfqt/basic/BasConst_SIMFQT_Service.hpp</includes>
    <includes id="FacSimfqtServiceContext_8hpp" name="FacSimfqtServiceContext.hpp" local="no" import="no" module="no" objc="no">simfqt/factory/FacSimfqtServiceContext.hpp</includes>
    <includes id="FareParser_8hpp" name="FareParser.hpp" local="no" import="no" module="no" objc="no">simfqt/command/FareParser.hpp</includes>
    <includes id="FareQuoter_8hpp" name="FareQuoter.hpp" local="no" import="no" module="no" objc="no">simfqt/command/FareQuoter.hpp</includes>
    <includes id="SIMFQT__ServiceContext_8hpp" name="SIMFQT_ServiceContext.hpp" local="no" import="no" module="no" objc="no">simfqt/service/SIMFQT_ServiceContext.hpp</includes>
    <includes id="SIMFQT__Service_8hpp" name="SIMFQT_Service.hpp" local="no" import="no" module="no" objc="no">simfqt/SIMFQT_Service.hpp</includes>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>SIMFQT_ServiceContext.cpp</name>
    <path>simfqt/service/</path>
    <filename>SIMFQT__ServiceContext_8cpp.html</filename>
    <includes id="BasConst__SIMFQT__Service_8hpp" name="BasConst_SIMFQT_Service.hpp" local="no" import="no" module="no" objc="no">simfqt/basic/BasConst_SIMFQT_Service.hpp</includes>
    <includes id="SIMFQT__ServiceContext_8hpp" name="SIMFQT_ServiceContext.hpp" local="no" import="no" module="no" objc="no">simfqt/service/SIMFQT_ServiceContext.hpp</includes>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>SIMFQT_ServiceContext.hpp</name>
    <path>simfqt/service/</path>
    <filename>SIMFQT__ServiceContext_8hpp.html</filename>
    <includes id="SIMFQT__Types_8hpp" name="SIMFQT_Types.hpp" local="no" import="no" module="no" objc="no">simfqt/SIMFQT_Types.hpp</includes>
    <class kind="class">SIMFQT::SIMFQT_ServiceContext</class>
    <namespace>stdair</namespace>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>SIMFQT_Service.hpp</name>
    <path>simfqt/</path>
    <filename>SIMFQT__Service_8hpp.html</filename>
    <includes id="SIMFQT__Types_8hpp" name="SIMFQT_Types.hpp" local="no" import="no" module="no" objc="no">simfqt/SIMFQT_Types.hpp</includes>
    <class kind="class">SIMFQT::SIMFQT_Service</class>
    <namespace>stdair</namespace>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>SIMFQT_Types.hpp</name>
    <path>simfqt/</path>
    <filename>SIMFQT__Types_8hpp.html</filename>
    <class kind="class">SIMFQT::FareFileParsingFailedException</class>
    <class kind="class">SIMFQT::AirportPairNotFoundException</class>
    <class kind="class">SIMFQT::PosOrChannelNotFoundException</class>
    <class kind="class">SIMFQT::FlightDateNotFoundException</class>
    <class kind="class">SIMFQT::FlightTimeNotFoundException</class>
    <class kind="class">SIMFQT::FeaturesNotFoundException</class>
    <class kind="class">SIMFQT::AirlineNotFoundException</class>
    <class kind="class">SIMFQT::FareInputFileNotFoundException</class>
    <class kind="class">SIMFQT::QuotingException</class>
    <class kind="class">SIMFQT::FareFilePath</class>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>simfqt.cpp</name>
    <path>simfqt/ui/cmdline/</path>
    <filename>simfqt_8cpp.html</filename>
  </compound>
  <compound kind="file">
    <name>FQTTestSuite.cpp</name>
    <path>test/simfqt/</path>
    <filename>FQTTestSuite_8cpp.html</filename>
  </compound>
  <compound kind="class">
    <name>SIMFQT::AirlineNotFoundException</name>
    <filename>classSIMFQT_1_1AirlineNotFoundException.html</filename>
    <member kind="function">
      <type></type>
      <name>AirlineNotFoundException</name>
      <anchorfile>classSIMFQT_1_1AirlineNotFoundException.html</anchorfile>
      <anchor>ad7464743b412dba12eb7d4b3685e5c78</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::AirportPairNotFoundException</name>
    <filename>classSIMFQT_1_1AirportPairNotFoundException.html</filename>
    <member kind="function">
      <type></type>
      <name>AirportPairNotFoundException</name>
      <anchorfile>classSIMFQT_1_1AirportPairNotFoundException.html</anchorfile>
      <anchor>ae1371b405ede6ef985c6470614b35dd3</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::doEndFare</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1doEndFare.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>doEndFare</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1doEndFare.html</anchorfile>
      <anchor>a39aaf7afbffc4231e97b1b0b3623bcd8</anchor>
      <arglist>(stdair::BomRoot &amp;, FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1doEndFare.html</anchorfile>
      <anchor>a98c687f6cce17831081b17f99a6c9d27</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const</arglist>
    </member>
    <member kind="variable">
      <type>stdair::BomRoot &amp;</type>
      <name>_bomRoot</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1doEndFare.html</anchorfile>
      <anchor>aa8ff4cc46c46968ea5444ba51968bcfa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FacSimfqtServiceContext</name>
    <filename>classSIMFQT_1_1FacSimfqtServiceContext.html</filename>
    <member kind="function">
      <type></type>
      <name>~FacSimfqtServiceContext</name>
      <anchorfile>classSIMFQT_1_1FacSimfqtServiceContext.html</anchorfile>
      <anchor>abe044f63802343e47c9dc80ab7dc0afd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>SIMFQT_ServiceContext &amp;</type>
      <name>create</name>
      <anchorfile>classSIMFQT_1_1FacSimfqtServiceContext.html</anchorfile>
      <anchor>a084adf23171d41b7da5477be8c328abc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static FacSimfqtServiceContext &amp;</type>
      <name>instance</name>
      <anchorfile>classSIMFQT_1_1FacSimfqtServiceContext.html</anchorfile>
      <anchor>a46a6d715833a148a6f95af37d7e3f816</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>FacSimfqtServiceContext</name>
      <anchorfile>classSIMFQT_1_1FacSimfqtServiceContext.html</anchorfile>
      <anchor>aa6a7a37f6a4147e71f6b2e7eca7ba12e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FareFileParsingFailedException</name>
    <filename>classSIMFQT_1_1FareFileParsingFailedException.html</filename>
    <member kind="function">
      <type></type>
      <name>FareFileParsingFailedException</name>
      <anchorfile>classSIMFQT_1_1FareFileParsingFailedException.html</anchorfile>
      <anchor>a39f9a1fd6cbbd66278aa784398c91690</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FareFilePath</name>
    <filename>classSIMFQT_1_1FareFilePath.html</filename>
    <member kind="function">
      <type></type>
      <name>FareFilePath</name>
      <anchorfile>classSIMFQT_1_1FareFilePath.html</anchorfile>
      <anchor>a2b9b717c769bce3d838dcd4bb9ce88c5</anchor>
      <arglist>(const stdair::Filename_T &amp;iFilename)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FareInputFileNotFoundException</name>
    <filename>classSIMFQT_1_1FareInputFileNotFoundException.html</filename>
    <member kind="function">
      <type></type>
      <name>FareInputFileNotFoundException</name>
      <anchorfile>classSIMFQT_1_1FareInputFileNotFoundException.html</anchorfile>
      <anchor>a80727fd4c61587e4886d5227c7e5b512</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FareParser</name>
    <filename>classSIMFQT_1_1FareParser.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>fareRuleGeneration</name>
      <anchorfile>classSIMFQT_1_1FareParser.html</anchorfile>
      <anchor>a2188fe62d99b80543cf18be79b67d642</anchor>
      <arglist>(const FareFilePath &amp;, stdair::BomRoot &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FareQuoter</name>
    <filename>classSIMFQT_1_1FareQuoter.html</filename>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>SIMFQT_Service</name>
      <anchorfile>classSIMFQT_1_1FareQuoter.html</anchorfile>
      <anchor>a6c343747a3d8ec740c0a3beed1c02db9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FareRuleFileParser</name>
    <filename>classSIMFQT_1_1FareRuleFileParser.html</filename>
    <member kind="function">
      <type></type>
      <name>FareRuleFileParser</name>
      <anchorfile>classSIMFQT_1_1FareRuleFileParser.html</anchorfile>
      <anchor>a8273bbd2fbcbd2f68b417caca64a62f3</anchor>
      <arglist>(stdair::BomRoot &amp;ioBomRoot, const stdair::Filename_T &amp;iFilename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>generateFareRules</name>
      <anchorfile>classSIMFQT_1_1FareRuleFileParser.html</anchorfile>
      <anchor>a744ade1ead866453192c44d3e3e5e581</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FareRuleGenerator</name>
    <filename>classSIMFQT_1_1FareRuleGenerator.html</filename>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FareFileParser</name>
      <anchorfile>classSIMFQT_1_1FareRuleGenerator.html</anchorfile>
      <anchor>ad5bbd226e7dca5e9fa4443f5e6120e4e</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend struct</type>
      <name>FareParserHelper::doEndFare</name>
      <anchorfile>classSIMFQT_1_1FareRuleGenerator.html</anchorfile>
      <anchor>a537fbe61a9f02dd46572bdd9448a76ae</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FareParser</name>
      <anchorfile>classSIMFQT_1_1FareRuleGenerator.html</anchorfile>
      <anchor>a32036ac84dc930fc6972ad610c91dc52</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::FareRuleParser</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</filename>
    <templarg>typename Iterator</templarg>
    <member kind="function">
      <type></type>
      <name>FareRuleParser</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>a20e036863d7e630d54b39c0744701ccc</anchor>
      <arglist>(stdair::BomRoot &amp;ioBomRoot, FareRuleStruct &amp;iofareRule)</arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>start</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>a6f27780e09ea56e377caeed77aad1510</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>comments</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>a67fd5b75293bc4cf64b84ae806c0423f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>fare_rule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>a52dc427e98dd07a15e43789f426e8147</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>fare_rule_end</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>a915eb989c9f2251dcc451e1803899791</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>fare_key</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>ace815d1b249cc716b3bc10d354afafd5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>fare_id</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>a5c5168eabff69c5a71ebe76e5b25831b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>origin</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>a2240ca72e6f5d495e0a3e6f557939245</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>destination</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>a1cd934c0f4fb403dd81b7aef35628fcd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>tripType</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>a26943f0faf878ff1cb9183b34446cdb4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>dateRangeStart</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>a1fefde9f179f4a39a65877de3007ba8c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>dateRangeEnd</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>aad45718c60627382d20db035e113e3c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>date</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>ad19c65e43c3c7f18e8e9ff66fdecc784</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>timeRangeStart</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>a58369ab984d7f6387ed50037486c3faf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>timeRangeEnd</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>acedbd17680a60bc53e306348af37fbd0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>time</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>aa2eecd20f85934835f8801ac4d1ed82c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>point_of_sale</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>a79bb21c64756e92852c0b661b703f7b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>cabinCode</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>ab8748d2381089d02ea1b1c43a9acc02e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>channel</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>a1ce27b4d6277dc95abc224a04ac56cc4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>advancePurchase</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>af5295d89f68fe2396afe5320f553f9b1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>saturdayStay</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>ad5e12ea8fe252fdd9c0494b68ee3dcbe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>changeFees</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>aca1bcdce366f18e8a1aefea2f7f2147c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>nonRefundable</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>a58fb228cc3e9456b9a0b6c03f6060945</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>minimumStay</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>a9d631b96b4c918385aa809aa6379dd24</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>fare</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>acdc66cc9d4cf6e1f7bdbabdad90728b4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>segment</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>a199707688b3c28a86532bc97ed58c7b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::BomRoot &amp;</type>
      <name>_bomRoot</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>a317a1081327fd5717057fb4176e41cb8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>aeed0ae381c9f9e7fafba68332573dbcd</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareRuleStruct</name>
    <filename>structSIMFQT_1_1FareRuleStruct.html</filename>
    <member kind="function">
      <type></type>
      <name>FareRuleStruct</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>af442fbf35cc3ecbd349d8dd01e03b39b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>SIMFQT::FareQuoteID_T</type>
      <name>getFareID</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>ac25b94634054aff7bf70128bb6576a51</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::AirportCode_T</type>
      <name>getOrigin</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a2356be7c0082cf8938f11a0908a85944</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::AirportCode_T</type>
      <name>getDestination</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>aa1b223deaedf96107a5c386cea99b0a0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::TripType_T</type>
      <name>getTripType</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>ac76341420719f814088dd89213d7bf91</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::Date_T</type>
      <name>getDateRangeStart</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>ab8c6dcadfb014785b7f592a8f4fc3745</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::Date_T</type>
      <name>getDateRangeEnd</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a5648b933acd8c079ad4751fe63dc5280</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::Duration_T</type>
      <name>getTimeRangeStart</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a7f69c560d13df308c3b69126dc38259e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::Duration_T</type>
      <name>getTimeRangeEnd</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a87bd9dc0dd57b4e1db5dbcab8f462e81</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::CabinCode_T</type>
      <name>getCabinCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a580fcfa66cb5ced2f7989b2b304c3a8f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const stdair::CityCode_T</type>
      <name>getPOS</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>aec552058e98ac75c4e7fb47cbfdc9957</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::ChannelLabel_T</type>
      <name>getChannel</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a09dbad093153def2e7a67f50051539d5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::DayDuration_T</type>
      <name>getAdvancePurchase</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>aaf036bf3788d7ec2ede8bc28dd09ee43</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::SaturdayStay_T</type>
      <name>getSaturdayStay</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>ab206464be71f14c12820a10886093751</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::ChangeFees_T</type>
      <name>getChangeFees</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>ad5a890444719fae16e3558307e1619c6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::NonRefundable_T</type>
      <name>getNonRefundable</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a86c2cbc166523be9fc76b80d7d9ab254</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::DayDuration_T</type>
      <name>getMinimumStay</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a5c8c23a7c484ae599f1d22b4e75e85b4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::PriceValue_T</type>
      <name>getFare</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a184ba93494c37c7fae614590d826242e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::AirlineCode_T</type>
      <name>getAirlineCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>aa3ce8c7bf501a8f1a107b92842820b0d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::ClassCode_T</type>
      <name>getClassCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a44d698481eb345c90fb0fd5347c821ad</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const unsigned int</type>
      <name>getAirlineListSize</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a77e7fb134ed9dca5f84a52c1f1ab5faf</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const unsigned int</type>
      <name>getClassCodeListSize</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>aafbb9682371073036eb6c4e6e99d9505</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::AirlineCodeList_T</type>
      <name>getAirlineList</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a7ab884775fd6234a25b8f629f82aae35</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::ClassList_StringList_T</type>
      <name>getClassCodeList</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>aa548033790d1accde6cd59ae9e34f261</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::Date_T</type>
      <name>calculateDate</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a4e5fc7f29eacf8262a06c75e3ee25b92</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>stdair::Duration_T</type>
      <name>calculateTime</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>ab062d7b547fce6c977158fdfd2053ff4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a292fce607b79e469ec671f544a56c51d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFareID</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>adea068c3a9232698d2eea36792cc4991</anchor>
      <arglist>(const SIMFQT::FareQuoteID_T &amp;iFareQuoteID)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOrigin</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>af616e38345705aa2f2ad6708fe113653</anchor>
      <arglist>(const stdair::AirportCode_T &amp;iOrigin)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDestination</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>ada412d1299b561db3890212fd3bd3932</anchor>
      <arglist>(const stdair::AirportCode_T &amp;iDestination)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTripType</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a120dc3f8af0128ad314e628b2aa434a7</anchor>
      <arglist>(const stdair::TripType_T &amp;iTripType)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDateRangeStart</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a3c9ca6b1ffe709924f1f1c270bb79f28</anchor>
      <arglist>(const stdair::Date_T &amp;iDateRangeStart)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDateRangeEnd</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>abe7336e9d68d18fed52761df4e0cdeab</anchor>
      <arglist>(const stdair::Date_T &amp;iDateRangeEnd)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTimeRangeStart</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>adac4fed0a039780d0a0d379c87851573</anchor>
      <arglist>(const stdair::Duration_T &amp;iTimeRangeStart)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTimeRangeEnd</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a30f6dd6c6c162eda8745e0211a3707fe</anchor>
      <arglist>(const stdair::Duration_T &amp;iTimeRangeEnd)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCabinCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>af0f65bf3fd267bac7023015feb12a676</anchor>
      <arglist>(const stdair::CabinCode_T &amp;iCabinCode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPOS</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>aa40c327947c66db07cfc42773a5ddae3</anchor>
      <arglist>(const stdair::CityCode_T &amp;iPOS)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setChannel</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>adffe221ed110a0eb05ab4046317d8db6</anchor>
      <arglist>(const stdair::ChannelLabel_T &amp;iChannel)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAdvancePurchase</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a733b45b26a25389807dc3e11ef9d8a90</anchor>
      <arglist>(const stdair::DayDuration_T &amp;iAdvancePurchase)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSaturdayStay</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a2ef046b0088d04d004ca9cb77be61c3c</anchor>
      <arglist>(const stdair::SaturdayStay_T &amp;iSaturdayStay)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setChangeFees</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a6dce9d00b1d2a6295a762c9cd42758b6</anchor>
      <arglist>(const stdair::ChangeFees_T &amp;iChangeFees)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNonRefundable</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>abad2ec70207672421a271c78fa187a81</anchor>
      <arglist>(const stdair::NonRefundable_T &amp;iNonRefundable)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMinimumStay</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>af2b0c2f999a80207d9637f1f7a93ccd9</anchor>
      <arglist>(const stdair::DayDuration_T &amp;iMinimumStay)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFare</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a7f54ee5d1539ffc939b95c87942d1104</anchor>
      <arglist>(const stdair::PriceValue_T &amp;iFare)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAirlineCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a2af5dd30d655cf2149f81889779e4bbf</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;iAirlineCode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setClassCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a8e8d7b9fb5345b1cdc77f59ec8b7f527</anchor>
      <arglist>(const stdair::ClassCode_T &amp;iClassCode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearAirlineCodeList</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a738bb6be882ad15fa4437443e97b4feb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearClassCodeList</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a8021e3348f8ad246e03be05da6e731a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addAirlineCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a8da28b5691ba175146f6a5943e1b2cb2</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;iAirlineCode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addClassCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a2f629254cd705157283931675da23dc0</anchor>
      <arglist>(const stdair::ClassCode_T &amp;iClassCode)</arglist>
    </member>
    <member kind="variable">
      <type>stdair::year_t</type>
      <name>_itYear</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>aae92e30c4940e25c5d69d40e10450a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::month_t</type>
      <name>_itMonth</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a678ed8afd159eb564f8273c91cc1efe4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::day_t</type>
      <name>_itDay</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>abd6e65c6954941ad07bbef17df9b5b49</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::hour_t</type>
      <name>_itHours</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>ad4e8749ea4241a5699f5e3ff19f62a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::minute_t</type>
      <name>_itMinutes</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>ad94ddb13ac2fb88331f0da94c69bd486</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::second_t</type>
      <name>_itSeconds</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>acf6d1f98de6ba8b358740bf206520cea</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FeaturesNotFoundException</name>
    <filename>classSIMFQT_1_1FeaturesNotFoundException.html</filename>
    <member kind="function">
      <type></type>
      <name>FeaturesNotFoundException</name>
      <anchorfile>classSIMFQT_1_1FeaturesNotFoundException.html</anchorfile>
      <anchor>a1371f29f22efe7854593ca946a7d56bd</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FlightDateNotFoundException</name>
    <filename>classSIMFQT_1_1FlightDateNotFoundException.html</filename>
    <member kind="function">
      <type></type>
      <name>FlightDateNotFoundException</name>
      <anchorfile>classSIMFQT_1_1FlightDateNotFoundException.html</anchorfile>
      <anchor>a3c6dec9020ef5a723ff3fa01cd9ac847</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FlightTimeNotFoundException</name>
    <filename>classSIMFQT_1_1FlightTimeNotFoundException.html</filename>
    <member kind="function">
      <type></type>
      <name>FlightTimeNotFoundException</name>
      <anchorfile>classSIMFQT_1_1FlightTimeNotFoundException.html</anchorfile>
      <anchor>a4976887f1ade9aee38978fc13cd7e4db</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::ParserSemanticAction</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</filename>
    <member kind="function">
      <type></type>
      <name>ParserSemanticAction</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>ab9575ee5a6de78cffc12eaba1c3f15da</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::PosOrChannelNotFoundException</name>
    <filename>classSIMFQT_1_1PosOrChannelNotFoundException.html</filename>
    <member kind="function">
      <type></type>
      <name>PosOrChannelNotFoundException</name>
      <anchorfile>classSIMFQT_1_1PosOrChannelNotFoundException.html</anchorfile>
      <anchor>abf58498be1cfdebe5abcaa231b9da9b8</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::QuotingException</name>
    <filename>classSIMFQT_1_1QuotingException.html</filename>
  </compound>
  <compound kind="class">
    <name>SIMFQT::SIMFQT_Service</name>
    <filename>classSIMFQT_1_1SIMFQT__Service.html</filename>
    <member kind="function">
      <type></type>
      <name>SIMFQT_Service</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>a4e3b8de725d5eb3b171c09dc0505ca61</anchor>
      <arglist>(const stdair::BasLogParams &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SIMFQT_Service</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>adf47dc2e11153b14b9cc2cc93be62168</anchor>
      <arglist>(const stdair::BasLogParams &amp;, const stdair::BasDBParams &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SIMFQT_Service</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>a8f93291393300af0b1a18f931cd1fbd4</anchor>
      <arglist>(stdair::STDAIR_ServicePtr_T ioSTDAIR_ServicePtr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseAndLoad</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>a9148321c12a008aa19ac0c8b459bef0f</anchor>
      <arglist>(const FareFilePath &amp;iFareFilename)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SIMFQT_Service</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>adfb366bab95445b804d97bf65abf30d5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildSampleBom</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>a9fa8be17ff60060e02ad7da4918bbb2f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clonePersistentBom</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>a0d9466452f6bcaf6fa30687cff32a11d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildComplementaryLinks</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>a36a09d7c9a93c03e76b65c1f7cce2b34</anchor>
      <arglist>(stdair::BomRoot &amp;)</arglist>
    </member>
    <member kind="function">
      <type>stdair::BookingRequestStruct</type>
      <name>buildBookingRequest</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>ab5cd5f9e666420a26df7f8c61af9385f</anchor>
      <arglist>(const bool isForCRS=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildSampleTravelSolutions</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>a47336ba759d301acc656331a7f9d1e51</anchor>
      <arglist>(stdair::TravelSolutionList_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>quotePrices</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>acf51021e192e43159379edd0d0801319</anchor>
      <arglist>(const stdair::BookingRequestStruct &amp;, stdair::TravelSolutionList_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>csvDisplay</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>ae77edbf9345d88af896bb0d171d5249b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>csvDisplay</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>a6c2044cf71163ae7e7b365680e11fcc2</anchor>
      <arglist>(const stdair::TravelSolutionList_T &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>csvDisplay</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>a3b1a1617e249ce33bb2ddbb3b6350a13</anchor>
      <arglist>(const stdair::AirportCode_T &amp;ioOrigin, const stdair::AirportCode_T &amp;ioDestination, const stdair::Date_T &amp;ioDepartureDate) const</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>list</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>a6f17d24af311962cc623e7e717818a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>check</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>a22551f1337fd532a5bca76ff1cfce08f</anchor>
      <arglist>(const stdair::AirportCode_T &amp;ioOrigin, const stdair::AirportCode_T &amp;ioDestination, const stdair::Date_T &amp;ioDepartureDate) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::SIMFQT_ServiceContext</name>
    <filename>classSIMFQT_1_1SIMFQT__ServiceContext.html</filename>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>SIMFQT_Service</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__ServiceContext.html</anchorfile>
      <anchor>a6c343747a3d8ec740c0a3beed1c02db9</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FacSimfqtServiceContext</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__ServiceContext.html</anchorfile>
      <anchor>adb7d54c3b8e1508bd91c62d6d28f1dc9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeAdvancePurchase</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeAdvancePurchase.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeAdvancePurchase</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeAdvancePurchase.html</anchorfile>
      <anchor>a17d3dbe0462a0d2ecbb087d638ef6e68</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeAdvancePurchase.html</anchorfile>
      <anchor>a5cf98e8131257bc3b9be92820ab0cfd8</anchor>
      <arglist>(unsigned int, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const</arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeAirlineCode</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeAirlineCode.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeAirlineCode</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeAirlineCode.html</anchorfile>
      <anchor>a17368ea49a8390e8947c12fe86b7f635</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeAirlineCode.html</anchorfile>
      <anchor>a7014f45f57f5148742f5293d7357b56d</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const</arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeCabinCode</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeCabinCode.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeCabinCode</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeCabinCode.html</anchorfile>
      <anchor>a893e7597a57dd3004522c18947dad1ec</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeCabinCode.html</anchorfile>
      <anchor>ab59cb3b3df4cb7750cf010ce67045e7e</anchor>
      <arglist>(char, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const</arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeChangeFees</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeChangeFees.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeChangeFees</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeChangeFees.html</anchorfile>
      <anchor>a85ca432639a925b81d1ca890bec2aaae</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeChangeFees.html</anchorfile>
      <anchor>a610a5b03f5916189f920064a51ab89ef</anchor>
      <arglist>(char, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const</arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeChannel</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeChannel.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeChannel</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeChannel.html</anchorfile>
      <anchor>a02c68c434aeb6a5afba8b35f50a77032</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeChannel.html</anchorfile>
      <anchor>a6c7b7ebee12513cac354857d9c29b56b</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const</arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeClass</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeClass.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeClass</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeClass.html</anchorfile>
      <anchor>ac14bca9684dbe74afcbcb6d488a35fdc</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeClass.html</anchorfile>
      <anchor>ac7863083fbb0e3a37085b904c33e14a9</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const</arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeDateRangeEnd</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeDateRangeEnd.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDateRangeEnd</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeDateRangeEnd.html</anchorfile>
      <anchor>ab78e9e7123c1cf8c97aa3394f9acbf14</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeDateRangeEnd.html</anchorfile>
      <anchor>abcd6961da2eca6de5cc44bc71b2fbbeb</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const</arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeDateRangeStart</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeDateRangeStart.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDateRangeStart</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeDateRangeStart.html</anchorfile>
      <anchor>a3bd2293fe9e23f5e6e38e5debaa8b9ea</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeDateRangeStart.html</anchorfile>
      <anchor>aadfee11ff5af19d78133bc2c78606f71</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const</arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeDestination</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeDestination.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDestination</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeDestination.html</anchorfile>
      <anchor>ad5d85f03c8036dcd9bba774be95648ff</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeDestination.html</anchorfile>
      <anchor>a25cdb475020518b104bfcf0834888eec</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const</arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeEndRangeTime</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeEndRangeTime.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeEndRangeTime</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeEndRangeTime.html</anchorfile>
      <anchor>aee7c3cb01f514548781bec49c7f0214d</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeEndRangeTime.html</anchorfile>
      <anchor>a6f03b417ecbcb964357f901a97d4c2ef</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const</arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeFare</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeFare.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFare</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeFare.html</anchorfile>
      <anchor>a359d352826120dfcd9c8847d84c72a3e</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeFare.html</anchorfile>
      <anchor>a7a83d690cf23d863941c712f1888ae04</anchor>
      <arglist>(double, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const</arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeFareId</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeFareId.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFareId</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeFareId.html</anchorfile>
      <anchor>aeb528333216a4499f6fa791c19514f86</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeFareId.html</anchorfile>
      <anchor>a1275876e7a4c45b702c2608fa18c2967</anchor>
      <arglist>(unsigned int, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const</arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeMinimumStay</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeMinimumStay.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeMinimumStay</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeMinimumStay.html</anchorfile>
      <anchor>a49c878b2a409617489b91d30dd4d4112</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeMinimumStay.html</anchorfile>
      <anchor>a9feccf3cfe8e2292f0c6e5c12b48fe37</anchor>
      <arglist>(unsigned int, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const</arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeNonRefundable</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeNonRefundable.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeNonRefundable</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeNonRefundable.html</anchorfile>
      <anchor>a98dc12e26d81a5cf9cf09c8da69774ec</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeNonRefundable.html</anchorfile>
      <anchor>a56934d8e794538f30f619378343582a4</anchor>
      <arglist>(char, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const</arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeOrigin</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeOrigin.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeOrigin</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeOrigin.html</anchorfile>
      <anchor>af08e039420b154d67dd05e97da9d84c5</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeOrigin.html</anchorfile>
      <anchor>a7bce9133a87362e3c34d0e87a0df5437</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const</arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storePOS</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storePOS.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storePOS</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storePOS.html</anchorfile>
      <anchor>ab981eb79e6e12efda80a63b315538569</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storePOS.html</anchorfile>
      <anchor>a053cfbf2f9ed4964e883c8af15981c34</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const</arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeSaturdayStay</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeSaturdayStay.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeSaturdayStay</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeSaturdayStay.html</anchorfile>
      <anchor>aa49247df2dd52037d0e033b6e7f665f9</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeSaturdayStay.html</anchorfile>
      <anchor>a6602e8449b664bb492f0714742c7592e</anchor>
      <arglist>(char, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const</arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeStartRangeTime</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeStartRangeTime.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeStartRangeTime</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeStartRangeTime.html</anchorfile>
      <anchor>a5764e21a215c9ce591968cc6abcf011b</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeStartRangeTime.html</anchorfile>
      <anchor>aa1c2a40356592166a62399ca2fc10db8</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const</arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeTripType</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeTripType.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeTripType</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeTripType.html</anchorfile>
      <anchor>a1f1aa2b2e85147b3a294d14680a84d19</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeTripType.html</anchorfile>
      <anchor>a654b33c884347404b8b5311735075d57</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const</arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>SIMFQT</name>
    <filename>namespaceSIMFQT.html</filename>
    <namespace>SIMFQT::FareParserHelper</namespace>
    <class kind="class">SIMFQT::AirlineNotFoundException</class>
    <class kind="class">SIMFQT::AirportPairNotFoundException</class>
    <class kind="class">SIMFQT::FacSimfqtServiceContext</class>
    <class kind="class">SIMFQT::FareFileParsingFailedException</class>
    <class kind="class">SIMFQT::FareFilePath</class>
    <class kind="class">SIMFQT::FareInputFileNotFoundException</class>
    <class kind="class">SIMFQT::FareParser</class>
    <class kind="class">SIMFQT::FareQuoter</class>
    <class kind="class">SIMFQT::FareRuleFileParser</class>
    <class kind="class">SIMFQT::FareRuleGenerator</class>
    <class kind="struct">SIMFQT::FareRuleStruct</class>
    <class kind="class">SIMFQT::FeaturesNotFoundException</class>
    <class kind="class">SIMFQT::FlightDateNotFoundException</class>
    <class kind="class">SIMFQT::FlightTimeNotFoundException</class>
    <class kind="class">SIMFQT::PosOrChannelNotFoundException</class>
    <class kind="class">SIMFQT::QuotingException</class>
    <class kind="class">SIMFQT::SIMFQT_Service</class>
    <class kind="class">SIMFQT::SIMFQT_ServiceContext</class>
    <member kind="typedef">
      <type>unsigned int</type>
      <name>FareQuoteID_T</name>
      <anchorfile>namespaceSIMFQT.html</anchorfile>
      <anchor>ae4ae301ab4e68db6a0af530d92776d2c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::shared_ptr&lt; SIMFQT_Service &gt;</type>
      <name>SIMFQT_ServicePtr_T</name>
      <anchorfile>namespaceSIMFQT.html</anchorfile>
      <anchor>af200b04e7f5175261486954ad82e5f34</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const std::string</type>
      <name>DEFAULT_FARE_QUOTER_ID</name>
      <anchorfile>namespaceSIMFQT.html</anchorfile>
      <anchor>ac0ad3d38df40dacbc63fc96820a6a9de</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>SIMFQT::FareParserHelper</name>
    <filename>namespaceSIMFQT_1_1FareParserHelper.html</filename>
    <class kind="struct">SIMFQT::FareParserHelper::doEndFare</class>
    <class kind="struct">SIMFQT::FareParserHelper::FareRuleParser</class>
    <class kind="struct">SIMFQT::FareParserHelper::ParserSemanticAction</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeAdvancePurchase</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeAirlineCode</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeCabinCode</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeChangeFees</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeChannel</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeClass</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeDateRangeEnd</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeDateRangeStart</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeDestination</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeEndRangeTime</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeFare</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeFareId</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeMinimumStay</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeNonRefundable</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeOrigin</class>
    <class kind="struct">SIMFQT::FareParserHelper::storePOS</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeSaturdayStay</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeStartRangeTime</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeTripType</class>
    <member kind="variable">
      <type>stdair::int1_p_t</type>
      <name>int1_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>ac2c45e361c35596495735325fab8ae59</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint2_p_t</type>
      <name>uint2_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>a409d0215881afddcbc4338c2bfc18764</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint4_p_t</type>
      <name>uint4_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>a1b74a533145fcd5fa74e3299d5f5790b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint1_4_p_t</type>
      <name>uint1_4_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>a0dd2e4ab4546d313f51aa9b2bcaea97f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::hour_p_t</type>
      <name>hour_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>a7a35afe45f7ec4f0fa20e2e5edf6b1bb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::minute_p_t</type>
      <name>minute_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>a62e020a7bbcce3d0b3becb6dc0c3fdee</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::second_p_t</type>
      <name>second_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>ae15727c53a23242e4beccd5c4bcf5e72</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::year_p_t</type>
      <name>year_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>a288d0cc4e7ba6a3ea5a9dae4967837ee</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::month_p_t</type>
      <name>month_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>a21c943e2fae7b876a43b6de8f4866d5a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::day_p_t</type>
      <name>day_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>af70e69dab999b46ca9b7863f4b8875ad</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>stdair</name>
    <filename>namespacestdair.html</filename>
  </compound>
  <compound kind="page">
    <name>authors</name>
    <title>People</title>
    <filename>authors.html</filename>
    <docanchor file="authors.html" title="Project Admins (and Developers)">admins</docanchor>
    <docanchor file="authors.html" title="Retired Developers">retired</docanchor>
    <docanchor file="authors.html" title="Contributors">contributors</docanchor>
    <docanchor file="authors.html" title="Distribution Maintainers">distributors</docanchor>
    <docanchor file="index.html">N</docanchor>
  </compound>
  <compound kind="page">
    <name>coding_rules</name>
    <title>Coding Rules</title>
    <filename>coding_rules.html</filename>
    <docanchor file="coding_rules.html" title="Default Naming Rules for Variables">cr_variables</docanchor>
    <docanchor file="coding_rules.html" title="Default Naming Rules for Functions">cr_functions</docanchor>
    <docanchor file="coding_rules.html" title="Default Naming Rules for Classes and Structures">cr_classes</docanchor>
    <docanchor file="coding_rules.html" title="Default Naming Rules for Files">cr_files</docanchor>
    <docanchor file="coding_rules.html" title="Default Functionality of Classes">cr_classes_functionality</docanchor>
  </compound>
  <compound kind="page">
    <name>copyright</name>
    <title>Copyright and License</title>
    <filename>copyright.html</filename>
    <docanchor file="copyright.html" title="GNU LESSER GENERAL PUBLIC LICENSE">gnugpl</docanchor>
    <docanchor file="copyright.html" title="Version 2.1, February 1999">version</docanchor>
    <docanchor file="copyright.html" title="Preamble">preamble</docanchor>
    <docanchor file="copyright.html" title="TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION">terms</docanchor>
    <docanchor file="copyright.html" title="NO WARRANTY">nowarranty</docanchor>
    <docanchor file="copyright.html" title="END OF TERMS AND CONDITIONS">endofterms</docanchor>
    <docanchor file="copyright.html" title="How to Apply These Terms to Your New Programs">howtoapply</docanchor>
  </compound>
  <compound kind="page">
    <name>documentation</name>
    <title>Documentation Rules</title>
    <filename>documentation.html</filename>
    <docanchor file="documentation.html" title="General Rules">doc_general</docanchor>
    <docanchor file="documentation.html" title="File Header">doc_header</docanchor>
    <docanchor file="documentation.html" title="Grouping Various Parts">doc_groups</docanchor>
  </compound>
  <compound kind="page">
    <name>features</name>
    <title>Main features</title>
    <filename>features.html</filename>
    <docanchor file="features.html" title="Fare calculation">ft_fare_calculation</docanchor>
    <docanchor file="features.html" title="Fare rule engine">ft_fare_rule_engine</docanchor>
    <docanchor file="features.html" title="Fare retrieval">ft_fare_retrieval</docanchor>
    <docanchor file="features.html" title="Other features">ft_others</docanchor>
  </compound>
  <compound kind="page">
    <name>help_wanted</name>
    <title>Make a Difference            &lt;br&gt;</title>
    <filename>help_wanted.html</filename>
  </compound>
  <compound kind="page">
    <name>howto_release</name>
    <title>Make a new release</title>
    <filename>howto_release.html</filename>
    <docanchor file="howto_release.html" title="Introduction">description</docanchor>
    <docanchor file="howto_release.html" title="Initialisation">initialisation</docanchor>
    <docanchor file="howto_release.html" title="Release branch maintenance">branch_creation</docanchor>
    <docanchor file="howto_release.html" title="Commit and publish the release branch">branch_publish</docanchor>
    <docanchor file="howto_release.html" title="Create distribution packages">create_packages</docanchor>
    <docanchor file="howto_release.html" title="Upload the HTML documentation to SourceForge">upload_doc</docanchor>
    <docanchor file="howto_release.html" title="Generate the RPM packages">generate_rpm_packages</docanchor>
    <docanchor file="howto_release.html" title="Update distributed change log">update_changelog</docanchor>
    <docanchor file="howto_release.html" title="Create the binary package, including the documentation">create_bin_packages</docanchor>
    <docanchor file="howto_release.html" title="Upload the files to SourceForge">upload_files</docanchor>
    <docanchor file="howto_release.html" title="Make a new post">post_news</docanchor>
    <docanchor file="howto_release.html" title="Send an email on the announcement mailing-list">send_announce</docanchor>
  </compound>
  <compound kind="page">
    <name>installation</name>
    <title>Installation</title>
    <filename>installation.html</filename>
    <docanchor file="verification.html" title="Table of Contents">toc</docanchor>
    <docanchor file="installation.html" title="Fedora/RedHat Linux distributions">rpm_linux</docanchor>
    <docanchor file="installation.html" title="SimFQT Requirements">requirements</docanchor>
    <docanchor file="installation.html" title="Basic Installation">basic_instructions</docanchor>
    <docanchor file="installation.html" title="Compilers and Options">compilers</docanchor>
    <docanchor file="installation.html" title="Compiling For Multiple Architectures">compiling_for_multi_arch</docanchor>
    <docanchor file="installation.html" title="Installation Names">installation_names</docanchor>
    <docanchor file="installation.html" title="Optional Features">optional_features</docanchor>
    <docanchor file="installation.html" title="Particular systems">particular_systems</docanchor>
    <docanchor file="installation.html" title="Specifying the System Type">specifying_system_type</docanchor>
    <docanchor file="installation.html" title="Sharing Defaults">sharing_defaults</docanchor>
    <docanchor file="installation.html" title="Defining Variables">defining_variables</docanchor>
    <docanchor file="installation.html" title="&amp;lsquo;cmake&amp;rsquo; Invocation">cmake_invocation</docanchor>
  </compound>
  <compound kind="page">
    <name>linking</name>
    <title>Linking with SimFQT</title>
    <filename>linking.html</filename>
    <docanchor file="verification.html" title="Introduction">intro</docanchor>
    <docanchor file="linking.html" title="Dependencies">dependencies</docanchor>
    <docanchor file="linking.html" title="StdAir">stdairdep</docanchor>
    <docanchor file="linking.html" title="Using the pkg-config command">pkgconfig</docanchor>
    <docanchor file="linking.html" title="Using the simfqt-config script">simfqt_config</docanchor>
    <docanchor file="linking.html" title="M4 macro for the GNU Autotools">autotools</docanchor>
    <docanchor file="linking.html" title="Using SimFQT with dynamic linking">dynamiclinking</docanchor>
  </compound>
  <compound kind="page">
    <name>test</name>
    <title>Test Rules</title>
    <filename>test.html</filename>
    <docanchor file="test.html" title="The Test File">test_file</docanchor>
    <docanchor file="test.html" title="The Reference File">reference_file</docanchor>
    <docanchor file="test.html" title="Testing SimFQT Library">testing_using_make</docanchor>
  </compound>
  <compound kind="page">
    <name>users_guide</name>
    <title>Users Guide</title>
    <filename>users_guide.html</filename>
    <docanchor file="users_guide.html" title="Table of Contents">ug_toc</docanchor>
    <docanchor file="users_guide.html" title="Introduction">ug_introduction</docanchor>
    <docanchor file="users_guide.html" title="Get Started">ug_get_started</docanchor>
    <docanchor file="users_guide.html" title="Get the SimFQT library">ug_get_source</docanchor>
    <docanchor file="users_guide.html" title="Build the SimFQT project">ug_build_binaries</docanchor>
    <docanchor file="users_guide.html" title="Run the Tests">ug_build_and_run_tests</docanchor>
    <docanchor file="users_guide.html" title="Install the SimFQT Project (Binaries, Documentation)">ug_install_project</docanchor>
    <docanchor file="users_guide.html" title="Input file of SimFQT Project">ug_inputfile</docanchor>
    <docanchor file="users_guide.html" title="The fare quoting BOM Tree">ug_bom_bom</docanchor>
    <docanchor file="users_guide.html" title="Build of the fare quoting BOM tree">ug_bom_build</docanchor>
    <docanchor file="users_guide.html" title="Display of the fare quoting BOM tree">ug_bom_display</docanchor>
    <docanchor file="users_guide.html" title="Structure of the fare quoting BOM tree">ug_bom_structure</docanchor>
    <docanchor file="users_guide.html" title="The fare quoting procedure">ug_procedure</docanchor>
    <docanchor file="users_guide.html" title="Instanciate the default booking request">ug_procedure_bookingrequest</docanchor>
    <docanchor file="users_guide.html" title="Instanciate the default travel solution list">ug_procedure_travelsolution</docanchor>
    <docanchor file="users_guide.html" title="Fare Quoting a list of travel solution">ug_procedure_fareQuote</docanchor>
    <docanchor file="users_guide.html" title="Error Messages">ug_error_message</docanchor>
    <docanchor file="users_guide.html" title="Fare input file not found">ug_error_message_input_not_found</docanchor>
    <docanchor file="users_guide.html" title="Fare input file can not be parsed">ug_error_message_input_not_parsed</docanchor>
    <docanchor file="users_guide.html" title="Error Messages for missing fare rules">ug_error_message_missing_fare_rule</docanchor>
  </compound>
  <compound kind="page">
    <name>verification</name>
    <title>Supported Systems</title>
    <filename>verification.html</filename>
    <docanchor file="verification.html" title="SimFQT 3.10.x">simfqt_3_10</docanchor>
    <docanchor file="verification.html" title="Linux Systems">linux</docanchor>
    <docanchor file="verification.html" title="Fedora Core 4 with ATLAS">fedora_atlas</docanchor>
    <docanchor file="verification.html" title="Gentoo Linux with ACML">gentoo_acml</docanchor>
    <docanchor file="verification.html" title="Gentoo Linux with ATLAS">gentoo_atlas</docanchor>
    <docanchor file="verification.html" title="Gentoo Linux with MKL">gentoo_mkl</docanchor>
    <docanchor file="verification.html" title="Gentoo Linux with NetLib&apos;s BLAS and LAPACK">gentoo_netlib</docanchor>
    <docanchor file="verification.html" title="Red Hat Enterprise Linux with SimFQT External">rhel</docanchor>
    <docanchor file="verification.html" title="SUSE Linux 10.0 with NetLib&apos;s BLAS and LAPACK">suse_netlib</docanchor>
    <docanchor file="verification.html" title="SUSE Linux 10.0 with MKL">suse_mkl</docanchor>
    <docanchor file="verification.html" title="Windows Systems">windows</docanchor>
    <docanchor file="verification.html" title="Microsoft Windows XP with Cygwin">cygwin</docanchor>
    <docanchor file="verification.html" title="Microsoft Windows XP with Cygwin and ATLAS">cygwin_atlas</docanchor>
    <docanchor file="verification.html" title="Microsoft Windows XP with Cygwin and ACML">cygwin_acml</docanchor>
    <docanchor file="verification.html" title="Microsoft Windows XP with MinGW, MSYS and ACML">mingw_acml</docanchor>
    <docanchor file="verification.html" title="Microsoft Windows XP with MinGW, MSYS and SimFQT External">mingw_netlib</docanchor>
    <docanchor file="verification.html" title="Microsoft Windows XP with MS Visual C++ and Intel MKL">msvc_mkl</docanchor>
    <docanchor file="verification.html" title="Unix Systems">unix</docanchor>
    <docanchor file="verification.html" title="SunOS 5.9 with SimFQT External">sunos59</docanchor>
  </compound>
  <compound kind="page">
    <name>verification_old</name>
    <title>SimFQT Supported Systems (Previous Releases)</title>
    <filename>verification_old.html</filename>
    <docanchor file="verification_old.html" title="SimFQT 3.9.1">simfqt_3_9_1</docanchor>
    <docanchor file="verification_old.html" title="SimFQT 3.9.0">simfqt_3_9_0</docanchor>
    <docanchor file="verification_old.html" title="SimFQT 3.8.1">simfqt_3_8_1</docanchor>
  </compound>
  <compound kind="page">
    <name>tutorials</name>
    <title>Tutorials</title>
    <filename>tutorials.html</filename>
    <docanchor file="tutorials.html" title="Table of Contents">tut_toc</docanchor>
    <docanchor file="tutorials.html" title="Preparing the SimFQT Project for Development">tut_configuration</docanchor>
    <docanchor file="tutorials.html" title="Your first fareQuote">tut_procedure</docanchor>
    <docanchor file="tutorials.html" title="Summary of the different steps">tut_procedure_summary</docanchor>
    <docanchor file="tutorials.html" title="Result of the Batch Program">tut_procedure_results</docanchor>
    <docanchor file="tutorials.html" title="Fare quoting with an input file">tut_how_fare_quoting_file</docanchor>
    <docanchor file="tutorials.html" title="How to build a fare input file?">tut_how_build_fare_file</docanchor>
    <docanchor file="tutorials.html" title="Building the BOM tree  with an input file">tut_how_fare_quoting</docanchor>
    <docanchor file="tutorials.html" title="Result of the Batch Program">tut_how_fare_quoting_result</docanchor>
  </compound>
  <compound kind="page">
    <name>FQTTestSuite_cpp</name>
    <title>Command-Line Test to Demonstrate How To Test the SimFQT Project</title>
    <filename>FQTTestSuite_cpp.html</filename>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>SimFQT Documentation</title>
    <filename>index.html</filename>
    <docanchor file="index.html" title="Getting Started">getting_started</docanchor>
    <docanchor file="index.html" title="SimFQT at SourceForge">at_sourceforge</docanchor>
    <docanchor file="index.html" title="SimFQT Development">development</docanchor>
    <docanchor file="index.html" title="External Libraries">external_libs</docanchor>
    <docanchor file="index.html" title="Support SimFQT">social_sponsorship</docanchor>
    <docanchor file="index.html" title="About SimFQT">about</docanchor>
  </compound>
</tagfile>
